{% extends 'base.html' %}
{% load static %}

{% block title %}Widget's Announcement Board{% endblock %}

{% block heading %} <h1> Welcome to Widget's Announcement Board! </h1> {% endblock %}

{% block content %}
<p>
    Announcements:<br>
    {% for a in announcements|slice:"::-1" %}
    <a href="{{ a.get_absolute_url }}">
        {{a.title}} by {{ a.author.first_name }} {{ a.author.last_name }}
    </a><br>
    {% endfor %}
</p>
{% endblock %}

{% block footing %}
<p class="centerB">
    <a href="/announcements/add">
        <button class="btn add">New Announcement</button>
    </a>
</p>
<p>
    <a href="/dashboard/" class="link">Dashboard</a><br>
    <a href="/forum/" class="link">Forum</a><br>
    <a href="/assignments/" class="link">Assignments</a><br>
    <a href="/calendar/" class="link">Calendar</a>
</p>

{% endblock %}
